<template>
  <nav>
    <router-link to="/">Posts</router-link> |
    <router-link to="/login">Login 
      <span class="small" v-if="user.email">
        (Logged in as {{ user.email }})
      </span>
    </router-link>
  </nav>
  <hr />
</template>

<script>
import { useUserStore } from "@/stores/user";

export default {
  name: "NavBar",
  data() {
    return {
      user: {}
    }
  },
  mounted() {
    this.user = useUserStore();
  }
}
</script>

<style>
.small {
  font-size: 70%;
}

nav {
  padding: 30px;
}

nav a {
  font-weight: bold;
  color: #2c3e50;
}

nav a.router-link-exact-active {
  color: #42b983;
}
</style>
